
DocBookWiki is built using the phpWebApp framework:
http://phpwebapp.sourceforge.net

SWISH-E is used for indexing the content and for searching:
http://swish-e.org . In order to enable XML2 support, which
is required, packages 'libxml2' and 'libxml2-devel' must be
installed, before swish-e is compiled.

The XSL processor 'xsltproc' is required to display properly the
content.  In RedHat9 it is in the package 'libxslt'.  Also these rpm
packages are required, in order to make the content: docbook-dtds,
xml-common, sgml-common.

In order to make the formats, these packages are needed as well:
xmlto, xmltex, docbook-style-xsl, docbook-utils, docbook-utils-pdf,
docbook-style-dsssl (and their dependencies as well: openjade,
perl-SGMLSpm, passivetex, jadetex, tetex, tetex-fonts, tetex-latex,
tetex-dvips, psutils, netpbm, netpbm-progs, libtiff, etc.)

In general, 'Applications/Authoring and Publishing' group of packages
should be installed from the installation CDs (RedHat, Fedora, etc.)
in order to include the neccessary tools about SGML, XML, XSL,
DocBook, etc.

Subversion is used as a version control system. If you want to use CVS
instead, then get the last release 0.7.x, which is based on CVS.

Some PHP shell scripts that are in 'contents/' require that
the PHP version be 4.3.x or later.
